## systemd-zram 0.1.2+ng4~cooper

=== Makefile ===
INSTALL = install
CARGO = cargo
PREFIX = /usr
SYSTEMD_DIR ?= $(PREFIX)/lib/systemd

.DEFAULT: build
.PHONY: build check clean install

build:
	@$(CARGO) build --release

check: build
	@$(CARGO) test --release

clean:
	@$(CARGO) clean

install: build
	$(INSTALL) -Dpm755 target/release/zram-generator $(DESTDIR)$(SYSTEMD_DIR)/system-generators/zram-generator
	$(INSTALL) -Dpm644 units/swap-create@.service $(DESTDIR)$(SYSTEMD_DIR)/system/swap-create@.service
	$(INSTALL) -Dpm644 zram-generator.conf.example $(DESTDIR)$(PREFIX)/share/doc/zram-generator/zram-generator.conf.example

## systemd-zram 0.1.2

=== debian/changelog ===
systemd-zram (0.1.2-3) stable; urgency=medium

  [Backport from sid @ 0.1.2+ng3_callback-generator-plus-features-7]
  * Add proper d/rules build target
  * Specify cargo dep, making this build in a clean sid chroot
  * Use .install file for installation
  * Remove shlibs spec from transitional package

 -- nabijaczleweli <nabijaczleweli@gmail.com>  Sat, 07 Mar 2020 21:45:29 +0100

systemd-zram (0.1.2-2) stable; urgency=medium

  [Backport from sid @ 0.1.2+ng3_callback-generator-plus-features-6]
  * README and TODO included in the package
  * relwithdebinfo builds, -dbgsym packages should now make sense
  * package license metadata fixed
  * Use debhelper overrides correctly
  * Install config file via ucf
  * Rename to systemd-zram, for consistency with other generator packages
  * Fix most evil-mode lintian warnings

 -- nabijaczleweli <nabijaczleweli@gmail.com>  Fri, 28 Feb 2020 16:23:22 +0100

systemd-zram-generator (0.1.2-1) unstable; urgency=medium

  * Initial release, upstream version 0.1.2

 -- nabijaczleweli <nabijaczleweli@gmail.com>  Thu, 13 Feb 2020 21:42:12 +0100

=== debian/control ===
Source: systemd-zram
Section: admin
Priority: optional
Maintainer: nabijaczleweli <nabijaczleweli@gmail.com>
Standards-Version: 4.5.0
Rules-Requires-Root: no
Vcs-Git: https://github.com/nabijaczleweli/systemd-zram-generator.deb.git
Vcs-Browser: https://github.com/nabijaczleweli/systemd-zram-generator.deb
Homepage: https://github.com/systemd/zram-generator
Tag: implemented-in::rust, role::program
Build-Depends: debhelper,
               debhelper-compat (= 12),
               cargo,

Package: systemd-zram
Architecture: linux-any
Recommends: systemd
Depends: ${misc:Depends},
         ${shlibs:Depends},
Replaces: systemd-zram-generator (<< 0.1.2-2~)
Breaks: systemd-zram-generator (<< 0.1.2-2~)
Description: swap-create@.service and swap unit generator for zram devices
 Provides generator to manage zram swap based on the config file at
 /etc/systemd/zram-generator.conf
 .
 The distribution default is to provide no zram devices,
 those will have to be configured manually by the administrator

Package: systemd-zram-generator
Section: oldlibs
Architecture: all
Depends: systemd-zram,
         ${misc:Depends},
Description: transitional package
 This is a transitional package. It can safely be removed.

=== debian/rules ===
#!/usr/bin/make -f


CARGO ?= cargo

OUTDIR = $(CURDIR)/debian/systemd-zram/
VERSION = $(shell awk '/^version/ {print $$3}' Cargo.toml | sed 's/"//g')


override_dh_auto_build:
	mkdir -p target
	sed 's/@VERSION@/$(VERSION)/g' debian/systemd-zram-generator.8 > target/systemd-zram-generator.8
	RUSTFLAGS=-g $(CARGO) build --release
	mv target/release/zram-generator target/release/systemd-zram-generator

override_dh_auto_clean:
	rm -rf target/ Cargo.lock

override_dh_installdocs:
	dh_installdocs TODO README.md

%:
	dh $@

## systemd-zram 0.1.2+ng3~callback-generator-plus-features

=== debian/changelog ===
systemd-zram (0.1.2+ng3~callback-generator-plus-features-7) unstable; urgency=medium

  * Specify cargo dep, making this build in a clean sid chroot
  * Use .install file for installation
  * Add proper d/rules build target
  * Remove ${shlibs:Depends} spec from transitional package

 -- nabijaczleweli <nabijaczleweli@gmail.com>  Sat, 07 Mar 2020 21:36:32 +0100

systemd-zram (0.1.2+ng3~callback-generator-plus-features-6) unstable; urgency=medium

  * Rename to systemd-zram, for consistency with other generator packages
  * Fix most evil-mode lintian warnings, notably:
    + debian-watch-file-is-missing;
    + package-uses-old-debhelper-compat-version, by bumping debhelper compat
      level to 12;

 -- nabijaczleweli <nabijaczleweli@gmail.com>  Fri, 28 Feb 2020 15:50:42 +0100

systemd-zram-generator (0.1.2+ng3~callback-generator-plus-features-5) unstable; urgency=medium

  * Use debhelper overrides correctly
  * Install config file via ucf

 -- nabijaczleweli <nabijaczleweli@gmail.com>  Thu, 20 Feb 2020 02:23:33 +0100

systemd-zram-generator (0.1.2+ng3~callback-generator-plus-features-4) unstable; urgency=medium

  * Fixed lintian package-uses-debhelper-but-lacks-build-depends
              and maintainer-also-in-uploaders

 -- nabijaczleweli <nabijaczleweli@gmail.com>  Tue, 18 Feb 2020 18:51:52 +0100

systemd-zram-generator (0.1.2+ng3~callback-generator-plus-features-3) unstable; urgency=medium

  * versioning scheme change
  * package license metadata fixed

 -- nabijaczleweli <nabijaczleweli@gmail.com>  Sun, 16 Feb 2020 16:49:31 +0100

systemd-zram-generator (0.1.2~ng3.callback-generator-plus-features-2) unstable; urgency=medium

  * relwithdebinfo builds, -dbgsym packages should now make sense

 -- nabijaczleweli <nabijaczleweli@gmail.com>  Fri, 14 Feb 2020 17:25:07 +0100

systemd-zram-generator (0.1.2~ng3.callback-generator-plus-features-1) unstable; urgency=medium

  * max-zram-size to cap fraxion-based device size
  * Rename memory-limit to host-memory-limit
  * Support optional compression-algorithm key and set it when specified,
    closing https://github.com/systemd/zram-generator/issues/13

 -- nabijaczleweli <nabijaczleweli@gmail.com>  Fri, 14 Feb 2020 03:49:30 +0100

systemd-zram-generator (0.1.2~ng2.callback-generator-1) unstable; urgency=medium

  * Do device setup in the generator
  * Fix swap-create@.service re-running
  * Fix "Generated by" comments
  * TODO included in the package

 -- nabijaczleweli <nabijaczleweli@gmail.com>  Fri, 14 Feb 2020 03:10:30 +0100

systemd-zram-generator (0.1.2~ng1.priority-1) unstable; urgency=medium

  * $ZRAM_GENERATOR_ROOT for testing
  * priority setting on the generated swaps – now 100 like the zram-tools
    package – closing https://github.com/systemd/zram-generator/issues/8
  * code cleanliness, it's more idiomatic now
  * a fix to an error output format string
  * README included in the package

 -- nabijaczleweli <nabijaczleweli@gmail.com>  Thu, 14 Feb 2020 01:52:32 +0100

=== debian/control ===
--- 
+++ 
@@ -17,8 +17,8 @@
 Recommends: systemd
 Depends: ${misc:Depends},
          ${shlibs:Depends},
-Replaces: systemd-zram-generator (<< 0.1.2-2~)
-Breaks: systemd-zram-generator (<< 0.1.2-2~)
+Replaces: systemd-zram-generator (<< 0.1.2+ng3~callback-generator-plus-features-6~)
+Breaks: systemd-zram-generator (<< 0.1.2+ng3~callback-generator-plus-features-6~)
 Description: swap-create@.service and swap unit generator for zram devices
  Provides generator to manage zram swap based on the config file at
  /etc/systemd/zram-generator.conf

## systemd-zram 0.1.2+ng4~cooper

=== debian/changelog ===
systemd-zram (0.1.2+ng4~cooper-1) unstable; urgency=medium

  * New upstream version 0.1.2+ng4~cooper
  * Drop patches, applied upstream
  * Rename binary to zram-generator
  * Use upstream installation script
  * Fix maintainer metadata
  * Only use thin LTO, since full LTO+debuginfo breaks dwz

 -- наб <nabijaczleweli@gmail.com>  Mon, 15 Jun 2020 18:07:15 +0200

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,12 @@
 Source: systemd-zram
 Section: admin
 Priority: optional
-Maintainer: nabijaczleweli <nabijaczleweli@gmail.com>
+Maintainer: наб <nabijaczleweli@gmail.com>
 Standards-Version: 4.5.0
 Rules-Requires-Root: no
 Vcs-Git: https://github.com/nabijaczleweli/systemd-zram-generator.deb.git
 Vcs-Browser: https://github.com/nabijaczleweli/systemd-zram-generator.deb
 Homepage: https://github.com/systemd/zram-generator
-Tag: implemented-in::rust, role::program
 Build-Depends: debhelper,
                debhelper-compat (= 12),
                cargo,
@@ -17,6 +16,7 @@
 Recommends: systemd
 Depends: ${misc:Depends},
          ${shlibs:Depends},
+Tag: implemented-in::rust, role::program
 Replaces: systemd-zram-generator (<< 0.1.2+ng3~callback-generator-plus-features-6~)
 Breaks: systemd-zram-generator (<< 0.1.2+ng3~callback-generator-plus-features-6~)
 Description: swap-create@.service and swap unit generator for zram devices

=== debian/rules ===
#!/usr/bin/make -f


CARGO ?= cargo

DESTDIR = $(CURDIR)/debian/systemd-zram/
VERSION = $(shell awk '/^version/ {print $$3}' Cargo.toml | sed 's/"//g')


override_dh_auto_build:
	mkdir -p target
	sed 's/@VERSION@/$(VERSION)/g' debian/zram-generator.8 > target/zram-generator.8
	RUSTFLAGS=-g $(CARGO) build --release

# Host needs zram.ko inserted and /sys mounted
override_dh_auto_test:
	RUSTFLAGS=-g $(CARGO) test --release

override_dh_auto_install:
	$(MAKE) install -o build DESTDIR="$(DESTDIR)"
	rm -rf "$(DESTDIR)usr/share/doc/zram-generator"
	dh_install

override_dh_auto_clean:
	rm -rf target/ Cargo.lock

override_dh_installdocs:
	dh_installdocs TODO README.md

%:
	dh $@

## systemd-zram 0.2.0~beta.1

=== debian/changelog ===
systemd-zram (0.2.0~beta.1-1) unstable; urgency=medium

  * New upstream version 0.2.0~beta.1
  * Update example config with new defaults
    + zram-fraction=0.25 -> 0.5
    + host-memory-limit= 2G -> None
  * Rebase patches
  * Add NEWS item regarding new defaults and config parsing
  * Install everything into /lib instead of /usr/lib and
    update the service accordingly, fixing non-merged-usr systems

 -- наб <nabijaczleweli@gmail.com>  Thu, 18 Jun 2020 16:55:13 +0200

=== debian/rules ===
--- 
+++ 
@@ -10,19 +10,22 @@
 override_dh_auto_build:
 	mkdir -p target
 	sed 's/@VERSION@/$(VERSION)/g' debian/zram-generator.8 > target/zram-generator.8
+	mv units/swap-create@.service units/swap-create@.service.orig
+	sed 's;/usr/lib/systemd/;/lib/systemd/;g' units/swap-create@.service.orig > units/swap-create@.service
 	RUSTFLAGS=-g $(CARGO) build --release
 
-# Host needs zram.ko inserted and /sys mounted
 override_dh_auto_test:
 	RUSTFLAGS=-g $(CARGO) test --release
 
 override_dh_auto_install:
-	$(MAKE) install -o build DESTDIR="$(DESTDIR)"
+	$(MAKE) install -o build DESTDIR="$(DESTDIR)" SYSTEMD_DIR="/lib/systemd/"
 	rm -rf "$(DESTDIR)usr/share/doc/zram-generator"
+	rm -rf "$(DESTDIR)lib/systemd/generators/zram-generator"
 	dh_install
 
 override_dh_auto_clean:
 	rm -rf target/ Cargo.lock
+	if [ -e units/swap-create@.service.orig ]; then mv units/swap-create@.service.orig units/swap-create@.service; fi
 
 override_dh_installdocs:
 	dh_installdocs TODO README.md

## systemd-zram 0.2.0~rc.1

=== Makefile ===
INSTALL = install
CARGO = cargo
RONN = ronn
PREFIX = /usr
SYSTEMD_DIR ?= $(PREFIX)/lib/systemd

.DEFAULT: build
.PHONY: build man check clean install

build:
	@$(CARGO) build --release

man:
	@$(RONN) --organization="zram-generator developers" man/*.md

check: build
	@$(CARGO) test --release

clean:
	@$(CARGO) clean

install: build man
	$(INSTALL) -Dpm755 target/release/zram-generator $(DESTDIR)$(SYSTEMD_DIR)/system-generators/zram-generator
	$(INSTALL) -Dpm644 units/swap-create@.service $(DESTDIR)$(SYSTEMD_DIR)/system/swap-create@.service
	$(INSTALL) -Dpm644 zram-generator.conf.example $(DESTDIR)$(PREFIX)/share/doc/zram-generator/zram-generator.conf.example
	$(INSTALL) -Dpm644 man/zram-generator.8 $(DESTDIR)$(PREFIX)/share/man/man8/zram-generator.8
	$(INSTALL) -Dpm644 man/zram-generator.conf.5 $(DESTDIR)$(PREFIX)/share/man/man5/zram-generator.conf.5

=== debian/changelog ===
systemd-zram (0.2.0~rc.1-1) unstable; urgency=medium

  * New upstream version 0.2.0~rc.1
  * Build upstream manpages
  * Sync d/zram-generator.conf
  * Indiscriminately automatically fix all occurrences of /usr/lib/systemd.
    This should finally fix all non-merged-usr systems

 -- наб <nabijaczleweli@nabijaczleweli.xyz>  Wed, 24 Jun 2020 13:51:37 +0200

=== debian/rules ===
#!/usr/bin/make -f


CARGO ?= cargo

DESTDIR = $(CURDIR)/debian/systemd-zram/
VERSION = $(shell awk '/^version/ {print $$3}' Cargo.toml | sed 's/"//g')


override_dh_auto_build:
	mkdir -p target/locales
	$(foreach l,$(shell mkdir -p target && grep -Rl 'usr/lib/systemd' src/ man/ units/ README.md | grep -v "\\.orig$$" | tee -a target/badsystemd-files),[ -f "$(l).orig" ] || mv "$(l)" "$(l).orig"; sed 's;usr/lib/systemd;lib/systemd;g' "$(l).orig" > "$(l)"; )
	#
	localedef -i en_GB -c -f UTF-8 -A /usr/share/locale/locale.alias target/locales/en_GB.UTF-8
	LOCPATH="target/locales/" LC_CTYPE="en_GB.UTF-8" ronn -r --organization="zram-generator developers" man/*.md
	#
	RUSTFLAGS=-g $(CARGO) build --release

override_dh_auto_test:
	RUSTFLAGS=-g $(CARGO) test --release

override_dh_auto_install:
	$(MAKE) install -o build -o man DESTDIR="$(DESTDIR)" SYSTEMD_DIR="/lib/systemd/"
	rm -rf "$(DESTDIR)usr/share/doc/zram-generator"
	rm -rf "$(DESTDIR)lib/systemd/generators/zram-generator"
	dh_install

override_dh_auto_clean:
	$(foreach l,$(shell cat target/badsystemd-files 2>/dev/null || :),mv "$(l).orig" "$(l)" ;)
	rm -rf target/ Cargo.lock $(wildcard man/*.5 man/*.8)

override_dh_installdocs:
	dh_installdocs TODO README.md

%:
	dh $@

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/systemd-zram-generator-$1\.tar\.gz/ \
  https://github.com/systemd/zram-generator/releases .*/v?(\d\S+)\.tar\.gz

## systemd-zram 0.2.0

=== debian/changelog ===
systemd-zram (0.2.0-1) unstable; urgency=medium

  * New upstream version 0.2.0
  * Refresh patches

 -- наб <nabijaczleweli@nabijaczleweli.xyz>  Wed, 22 Jul 2020 12:10:38 +0200

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: systemd-zram
 Section: admin
 Priority: optional
-Maintainer: наб <nabijaczleweli@gmail.com>
+Maintainer: наб <nabijaczleweli@nabijaczleweli.xyz>
 Standards-Version: 4.5.0
 Rules-Requires-Root: no
 Vcs-Git: https://github.com/nabijaczleweli/systemd-zram-generator.deb.git
@@ -10,6 +10,10 @@
 Build-Depends: debhelper,
                debhelper-compat (= 12),
                cargo,
+               ronn (>= 0.9.0),
+#              ^ ronn before that fails with regex+locale related errors
+               locales,
+#              ^ we need to generate some locales for ronn
 
 Package: systemd-zram
 Architecture: linux-any

=== debian/rules ===
--- 
+++ 
@@ -30,7 +30,7 @@
 	rm -rf target/ Cargo.lock $(wildcard man/*.5 man/*.8)
 
 override_dh_installdocs:
-	dh_installdocs TODO README.md
+	dh_installdocs $(wildcard TODO) README.md
 
 %:
 	dh $@

## systemd-zram 0.3.1

=== Makefile ===
INSTALL = install
CARGO = cargo
CARGOFLAGS =
RONN = ronn
PKG_CONFIG = pkg-config
PREFIX = /usr

SYSTEMD_UTIL_DIR := $(shell $(PKG_CONFIG) --variable=systemdutildir systemd)
SYSTEMD_SYSTEM_UNIT_DIR := $(shell $(PKG_CONFIG) --variable=systemdsystemunitdir systemd)
SYSTEMD_SYSTEM_GENERATOR_DIR := $(shell $(PKG_CONFIG) --variable=systemdsystemgeneratordir systemd)
export SYSTEMD_UTIL_DIR

.DEFAULT: build
.PHONY: build man check clean install

build: systemd_service
	@$(CARGO) build --release $(CARGOFLAGS)

systemd_service:
	@sed -e 's,@SYSTEMD_SYSTEM_GENERATOR_DIR@,$(SYSTEMD_SYSTEM_GENERATOR_DIR),' \
		< units/systemd-zram-setup@.service.in \
		> units/systemd-zram-setup@.service

man:
	@$(RONN) --organization="zram-generator developers" man/*.md

check: build
	@$(CARGO) test --release $(CARGOFLAGS)

clean:
	@$(CARGO) clean
	@rm -f units/systemd-zram-setup@.service

install:
	$(INSTALL) -Dpm755 target/release/zram-generator -t $(DESTDIR)$(SYSTEMD_SYSTEM_GENERATOR_DIR)/
	$(INSTALL) -Dpm644 units/systemd-zram-setup@.service -t $(DESTDIR)$(SYSTEMD_SYSTEM_UNIT_DIR)/
	$(INSTALL) -Dpm644 zram-generator.conf.example -t $(DESTDIR)$(PREFIX)/share/doc/zram-generator/
	$(INSTALL) -Dpm644 man/zram-generator.8 -t $(DESTDIR)$(PREFIX)/share/man/man8/
	$(INSTALL) -Dpm644 man/zram-generator.conf.5 -t $(DESTDIR)$(PREFIX)/share/man/man5/

=== debian/changelog ===
systemd-zram (0.3.1-1) unstable; urgency=medium

  * New upstream version 0.3.1
  * Use upstream's build system for specifying the right systemd paths
  * Sync default config file
  * Build and clean services via upstream Makefile

 -- наб <nabijaczleweli@nabijaczleweli.xyz>  Tue, 26 Jan 2021 14:50:36 +0100

=== debian/control ===
--- 
+++ 
@@ -10,6 +10,8 @@
 Build-Depends: debhelper,
                debhelper-compat (= 12),
                cargo,
+               pkg-config,
+               systemd,
                ronn (>= 0.9.0),
 #              ^ ronn before that fails with regex+locale related errors
                locales,

=== debian/rules ===
#!/usr/bin/make -f


CARGO ?= cargo

DESTDIR = $(CURDIR)/debian/systemd-zram/
UTILDIR := $(shell pkg-config --variable=systemdutildir systemd)
VERSION = $(shell awk '/^version/ {print $$3}' Cargo.toml | sed 's/"//g')


override_dh_auto_build:
	mkdir -p target/locales
	#
	localedef -i en_GB -c -f UTF-8 -A /usr/share/locale/locale.alias target/locales/en_GB.UTF-8
	LOCPATH="target/locales/" LC_CTYPE="en_GB.UTF-8" ronn -r --organization="zram-generator developers" man/*.md
	#
	SYSTEMD_UTIL_DIR=$(UTILDIR) RUSTFLAGS=-g $(CARGO) build --release
	$(MAKE) systemd_service

override_dh_auto_test:
	SYSTEMD_UTIL_DIR=$(UTILDIR) RUSTFLAGS=-g $(CARGO) test --release

override_dh_auto_install:
	$(MAKE) install -o build -o man DESTDIR="$(DESTDIR)"
	rm -rf "$(DESTDIR)usr/share/doc/zram-generator"
	rm -rf "$(DESTDIR)lib/systemd/generators/zram-generator"
	dh_install

override_dh_auto_clean:
	$(MAKE) clean
	rm -rf target/ Cargo.lock $(wildcard man/*.5 man/*.8)

override_dh_installdocs:
	dh_installdocs $(wildcard TODO) README.md

%:
	dh $@

## systemd-zram 0.3.2

=== debian/changelog ===
systemd-zram (0.3.2-1) unstable; urgency=medium

  * New upstream version 0.3.2

 -- наб <nabijaczleweli@nabijaczleweli.xyz>  Wed, 24 Feb 2021 16:11:32 +0100

## systemd-zram 1.1.0

=== debian/changelog ===
systemd-zram (1.1.0-1) unstable; urgency=medium

  * New upstream version 1.1.0
  * Bump debhelper to 13
  * Use the upstream build system more
  * Update default zram-generator.conf with new
    zram-size and writeback-device fields
  * Add 0001-Warn-on-deprecated-memory-limit-zram-fraction-and-ma.patch,
    re-adding warnings on deprecated fields, ultimately dropped from #121
  * Remove lintian overrides, now useless
  * Update d/copyright with correcter Upstream-Name
    and official upstream author list

 -- наб <nabijaczleweli@nabijaczleweli.xyz>  Tue, 16 Nov 2021 22:27:10 +0100

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
 Vcs-Browser: https://github.com/nabijaczleweli/systemd-zram-generator.deb
 Homepage: https://github.com/systemd/zram-generator
 Build-Depends: debhelper,
-               debhelper-compat (= 12),
+               debhelper-compat (= 13),
                cargo,
                pkg-config,
                systemd,

=== debian/rules ===
#!/usr/bin/make -f


export DESTDIR := $(CURDIR)/debian/systemd-zram/


override_dh_auto_build:
	mkdir -p target/locales
	localedef -i en_GB -c -f UTF-8 -A /usr/share/locale/locale.alias target/locales/en_GB.UTF-8
	RUSTFLAGS=-g LOCPATH="target/locales/" LC_CTYPE="en_GB.UTF-8" $(MAKE) RONN="ronn -r"

override_dh_auto_test:
	RUSTFLAGS=-g $(MAKE) check

override_dh_auto_install:
	$(MAKE) install NOBUILD=1
	rm -d "$(DESTDIR)usr/share/doc/zram-generator/zram-generator.conf.example" "$(DESTDIR)usr/share/doc/zram-generator"
	dh_install

override_dh_auto_clean:
	$(MAKE) clean
	rm -rf target/ Cargo.lock $(wildcard man/*.5 man/*.8)

%:
	dh $@

## systemd-zram 1.2.1

=== debian/changelog ===
systemd-zram (1.2.1-1) unstable; urgency=medium

  * d/NOTE: also note that the default is discard now
  * Fix dropped endash in d/z-g.conf
  * d/watch: update to work with modern github
  * New upstream version 1.2.1
    + Rebase patches
    + Rebase default config
  * Standards-Version: 4.7.0 (routine-update)
  * Replace transitional package pkg-config by pkgconf in Build-Depends

 -- наб <nabijaczleweli@nabijaczleweli.xyz>  Thu, 28 Nov 2024 16:52:58 +0100

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: admin
 Priority: optional
 Maintainer: наб <nabijaczleweli@nabijaczleweli.xyz>
-Standards-Version: 4.5.0
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Vcs-Git: https://github.com/nabijaczleweli/systemd-zram-generator.deb.git
 Vcs-Browser: https://github.com/nabijaczleweli/systemd-zram-generator.deb
@@ -10,7 +10,7 @@
 Build-Depends: debhelper,
                debhelper-compat (= 13),
                cargo,
-               pkg-config,
+               pkgconf,
                systemd,
                ronn (>= 0.9.0),
 #              ^ ronn before that fails with regex+locale related errors

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?@ANY_VERSION@(@ARCHIVE_EXT@)%systemd-zram-generator-$1$2%" \
  https://github.com/systemd/zram-generator/tags \
  (?:.*?/)?v?@ANY_VERSION@@ARCHIVE_EXT@
